%global gitver %nil
%global commit e3b63c64c38c5f6668fe9f87bb83afb716d3c545
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitver .git%shortcommit
%{?gitver:%global devel 1}

Name: sosdb
Version: 4.0.0
Release: 1%gitver%{?dist}
Summary: Scalable Object Storage

License: GPLv2 or BSD
URL: http://www.ogc.us
%if 0%{?devel}
Source0: https://github.com/opengridcomputing/SOS/archive/%commit/SOS-%shortcommit.tar.gz
%else
Source0: https://github.com/opengridcomputing/SOS/archive/v%version/SOS-%{version}.tar.gz
%endif
Buildrequires: python-devel automake libtool numpy Cython doxygen
Requires: numpy


%description
Scalable Object Storage (SOS) ...


%prep
%if 0%{?devel}
%setup -q -n SOS-%commit
%else
%setup -q -n SOS-%version
%endif
./autogen.sh


%build
%configure --disable-silent-rules --disable-static --enable-doc --enable-doc-html
%make_build

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.la
mkdir -p %buildroot%_mandir
cp -a doc/man/man3 %buildroot%_mandir


%files
%exclude %_libdir/*.so
%{_libdir}/libidx_*
%{_libdir}/libkey_*
%{_libdir}/libods.*
%{_libdir}/libsos.*

# Legacy storage management commands
%package legacy
Summary: SOSDB compatability commands
%description legacy
Legacy storage management commands
%files legacy
%{_bindir}/sos_cmd
%{_bindir}/sos_part_create
%{_bindir}/sos_part_delete
%{_bindir}/sos_part_modify
%{_bindir}/sos_part_move
%{_bindir}/sos_part_query
%{_bindir}/sos_part_export
%{_bindir}/sos_part_index
%{_bindir}/ods_dump

# sosdb-devel package
%package devel
Summary: SOSDB header files
Requires: %name = %version-%release
%description devel
Header files for developing SOSDB applications
%files devel
%{_includedir}/ods/
%{_includedir}/sos/
%_libdir/*.so

# sosdb-python package
%package python
Summary: Python support for SOSDB
%description python
Python module for implementing SOSDB applications in Python
%files python
%{_prefix}/lib*/python*/site-packages/%{name}/

%package utils
Summary: SOSDB Utilities
%description utils
Commands for managing SOSDB databases
%files utils
%{_prefix}/bin/lmq
%{_prefix}/bin/sos-import-csv
%{_prefix}/bin/sos-schema
%{_prefix}/bin/sos-db
%{_prefix}/bin/sos-part
%{_prefix}/bin/sos-monitor

%package doc
Summary: SOS documentation
BuildArch: noarch
%description doc
Documenation for SOS package.
%files doc
%_mandir/man3/*
%_docdir/sosdb

%changelog
* Sun Jul 22 2018 Dave Love <loveshack@fedoraproject.org> - 4.0.0-1.gite3b63c6
- Initial Fedora-ish packaging
